port    equ $01 ; Port B
DIR     equ $05 ;PortBdir
dtas    equ 1   ;Port 2
shclk   equ 0   ;Port 1
stclk   equ 2   ;Port 3
ReadEEByte equ $0e04


        org $101
send    lda $92
        jsr Put8Bit
        lda $94
        jsr Put8Bit
        jsr Store
        jsr LOW
        rts
        
Put8Bit ldx #8
NextBit rola
        bcc LoBit
        bset dtas,port
        bra PutClk
LoBit   bclr dtas,port
PutClk  jsr Clock
        decx
        bne NextBit
        rts        
        
Clock   bset shclk,port ;Send Shift Clock
        bclr shclk,port
        rts

Store   bset stclk,port ;Send Store Clock
        bclr stclk,port
        rts
           
        
LOW     bclr shclk,port ;ersten 10-SR(LCD)-Ports auf Low
        bclr stclk,port ;letzten 6-SR(out)-Ports nach $92 setzen bit(2-7)
        lda $92
        ldx #6
NB      rola
        bcc LB
        bset dtas,port
        bra PC
LB      bclr dtas,port
PC      jsr Clock
        decx
        bne NB        
        bclr dtas,port
        ldx #10
Nextclk jsr Clock 
        decx
        bne Nextclk
        jsr Store
        rts
print:
	jsr ReadEEByte
	bra getchar
printchar:
        jsr send
getchar:
	jsr ReadEEByte
	sta $94
	bne printchar
	rts         
        
        
        